## Laravel Tutorial Installation Microsoft Windows

## Laravel, c'est quoi ?

*Laravel* est un **framework** d'application web avec une syntaxe expressive et élégante. 
*Laravel* vous permet de développer en **PHP** sans difficultés.    
La doc est en anglais et disponible ici --> *https://laravel.com/*   
Pour plus d'information sur *Laravel*, référez-vous au **cours** d'Adrien Krahenbuhl --> *http://adrien.krahenbuhl.fr/courses/IUTRS/W31/CM3#*

## Installation de Laravel sur Windows   


**Avant toute chose, installer une invite de commande tel que CMDER.   
Il vous sera utile pour les commandes d'installation de Laravel et de git plus tard.   
Nous utiliserons cette console pour le tuto --> https://cmder.net/**



### --> 1ère insallation de Laravel et création d'un nouveau projet   


1. #### Installer PHP sur votre ordinateur
    - Connectez-vous à l'adresse --> *https://windows.php.net/download*
    - Choissisez la dernière version **"Thread Safe"** pour avoir une version stable
    - Cliquez sur **Zip** souligné en bleu et télécharger l'archive
    - Décompréssez l'archive à l'emplacement où vous souhaitez installer PHP
    - PHP est **installé** sur votre PC !   
####
    
2. #### Installer Composer sur votre ordinateur
    - Connectez-vous à l'adresse --> *https://getcomposer.org/download/*
    - Dans Windows Installer, clickez sur *Composer-Setup.exe* et télécharger le setup
    - Ouvrez le setup depuis n'importe où sur votre PC et suivez les instructions :
        1. Select install mode : **Install for all users (recommended)**
        2. Autoriser cette application ? : **Oui**
        3. Cliquez sur **Next sans cocher** "Developer mode"
        4. Si votre installation PHP n'apparaît pas, cherchez la en cliquant sur *Browse...* puis *Next*
        5. Cliquez sur **Next sans cocher** "Use a proxy server to connect to internet"
        6. Cliquez sur **Installe** et voilà !
    - Composer est **installé** sur votre PC !   
####

3. #### Installer Laravel sur votre ordinateur
    - Ouvrez votre terminal *cmder*
    - Déplacez-vous jusqu'au **repertoire parent** de votre futur projet Laravel
    - Installer Laravel avec composer, ecrivez : ``` composer global require laravel/installer ```
    - **Laissez** Laravel s'installer, cela peut prendre plusieurs minutes...
    - Créer votre projet Laravel : ``` composer create-project --prefer-dist laravel/laravel nom_du_projet ```   
    Tous les fichiers de votre projet devraient être créés dans le repertoire nommé *nom_du_projet*
    - Lancer un **serveur** pour développer votre projet : ``` php artisan serve ```
    - Connectez-vous à l'adresse --> *http://localhost:8000*   
    Si tous s'est bien passé, vous verrez la page d'accueil de *Laravel* .   
####


### --> Ouvrir un projet Laravel existant et/ou importé   


1. #### Importer votre projet Laravel depuis git ou autre dépôt distant
- Ouvrez *cmder* et déplacez-vous à l'emplacement souhaitez
- **Clonez** votre dépôt en local (unistra) : ``` git clone git@git.unistra.fr:[username]/[projectname].git ```   
####

2. #### Vérifiez que possédez les fichiers nécessaires
    - Vérifiez votre installation *PHP* --> [Installer PHP](#### Installer PHP sur votre ordinateur)
    - Vérifiez votre installation *Composer* --> [Installer Composer](#### Installer Composer sur votre ordinateur)
    - Vérifiez votre installation *Laravel* --> [Installer Laravel](#### Installer Laravel sur votre ordinateur)
    - Après avoir vérifier ces installations, tentez de lancer le serveur : ``` php artisan serve ```   
 ####   
    
    ```
    Tant que (le serveur affiche un erreur) 
    {
        //Executez ces commandes à la racine du projet
        $ composer install  //On vérifie l'installation de composer

        //D'abords, installer Node.JS --> https://nodejs.org
        $ npm install   //On vérifie les dépendances Laravel

        si (le navigateur affiche error 500){
            ajouter et/ou configurer le fichier .env
        }
    }
    $ php artisan serve   //Essayez d'éxécuter à nouveau le serveur Laravel   
    Lors de la récupération d'un projet Laravel, avant de pouvoir faire un 
    
    php artisan serve

    1 - Mise à jour ou création du .env pour corriger les valeurs avec votre environnement
    2 - Création d'un clé 
    php artisan key:generate

    3 - Installation des packages 
    composer install

    Si le problème persiste, la solution n'est pas connue dans ce tuto.
    Google est votre ami :)
    ```   


    
### Auteur du tuto : https://hugobarbi.pagesperso-orange.fr/
    
