<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/* ------------------------------------------------------------------------
	| Public routing */

Route::get('/', [UserController::class, 'signin'])->name('signin');
Route::post('adduser', [UserController::class, 'adduser'])->name('adduser');
Route::post('authenticate', [UserController::class, 'authenticated'])->name('authenticated');
Route::get('signin', [UserController::class, 'signin'])->name('signin');
Route::get('signup', [UserController::class, 'signup'])->name('signup');
// ------------------------------------------------------------------------

/* ------------------------------------------------------------------------
	| Admin routing */
Route::prefix('admin')->group(function () {

	Route::post('changepassword', [UserController::class, 'changepassword'])->name('changepassword');
	Route::get('deleteuser', [UserController::class, 'deleteuser'])->name('deleteuser');
	Route::get('formpassword', [UserController::class, 'formpassword'])->name('formpassword');
	Route::get('account', [UserController::class, 'account'])->name('account');
	Route::get('signout', [UserController::class, 'signout'])->name('signout');
	Route::get('auth.myuser', function () {
	})->middleware('auth.myuser');
});
	// ------------------------------------------------------------------------
