<?php

namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Http\Request;
use App\Models\VideoGame;
use App\Models\UserEloquent;

class VideoGameController extends Controller
{
    /**
	 * Show the formgame page
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @return \Illuminate\Http\Response
	 */
	public function formgame( Request $request )
	{
		return view('formgame')
            ->with('message',$request->session()->get('message'));
    }
    
    /**
	 * Show the gamelist page
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @return \Illuminate\Http\Response
	 */
	public function gameList(Request $request)
	{
        $allGames = VideoGame::all();
        return view('gamelist')
            ->with('games',$allGames)
            ->with('message',$request->session()->get('message'));
    }

    /**
	 * Add a new game from formgame
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @return \Illuminate\Http\Response
	 */
	public function addGame( Request $request )
	{
        if (!$request->filled(['newgame', 'newurl','newdesc']))
        {
            return redirect()->route('formgame')->with('message','Some POST data are missing');
        }

        $game = new VideoGame;
        $game->name = $request->newgame;
        $game->url = $request->newurl;
        $game->description = $request->newdesc;
        
        $user = $request->session()->get('user');
        $game->user_id = $user->user_id;

        try 
        {
            $game->save();
        }
        catch (\Illuminate\Database\QueryException $e){
            return redirect()->route('formgame')
                ->with('message','QueryException :'.$e->getMessage());
        }

        return redirect()->route('account')->with('message','Game created ! Check in GamemList.');
    }

    /**
	 * Delete from gameList
	 *
	 * @param  \Illuminate\Http\Request  $request
	 * @return \Illuminate\Http\Response
	 */
	public function deleteGame( Request $request , int $id)
	{
        try 
        {
            VideoGame::where('id',$id)->delete();
        }

        catch (\Illuminate\Database\Eloquent\ModelNotFoundException $e){
            return redirect()->route('gamelist')->with('message',"Can't delete the game.");
        }
        
        return redirect()->route('gamelist')->with('message','Game deleted !');
    }
}
