<?php

use App\Http\Controllers\BirdController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\UserController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/* ------------------------------------------------------------------------
| Public routing */
Route::get('/', [UserController::class,'signin']);
Route::post('adduser', [UserController::class,'addUser'])->name('adduser');
Route::post('authenticate', [UserController::class,'authenticate'])->name('authenticate');
Route::get('signin', [UserController::class,'signin'])->name('signin');
Route::get('signup', [UserController::class,'signup'])->name('signup');
// ------------------------------------------------------------------------

/* ------------------------------------------------------------------------
| Admin routing */
Route::prefix('admin')->middleware('auth.myuser')->group( function() {

	Route::post('changepassword', [UserController::class,'changePassword'])->name('changepassword');
	Route::get('deleteuser', [UserController::class,'deleteUser'])->name('deleteuser');
	Route::get('formpassword', [UserController::class,'formpassword'])->name('formpassword');
	Route::get('account', [UserController::class,'account'])->name('account');
	Route::get('signout', [UserController::class,'signout'])->name('signout');
	Route::get('profil', [UserController::class,'profil'])->name('profil');

	Route::prefix('bird')->group( function() 
	{
		Route::get('formBird', [BirdController::class,'formBird'])->name('formBird');
		Route::post('addbird', [BirdController::class,'addbird'])->name('addbird');	
		Route::get('birdList', [BirdController::class,'birdList'])->name('birdList');
		Route::get('bird/{bird_id}', [BirdController::class,'bird'])->name('bird');
		Route::get('birds',[BirdController::class,'birds'])->name('birds');
		Route::post('deletebird/{bird_id}',[BirdController::class,'deletebird'])->name('deletebird');
		Route::get('birdfromplace',[BirdController::class,'birdfromplace'])->name('birdfromplace');
		//Manque de temps pour bien développé cette vue birdfromplace
	});
});
// ------------------------------------------------------------------------
